drkns 2023-02-22 20:58:40+00:00 - build 107

1. gh-631: Network plugin crash on directory change.

ctapmex 2021-12-08 18:00:00+00:00 - build 106

1. рефакторинг

ctapmex 2021-12-04 18:00:00+00:00 - build 105

1. Mantis#0003921: Ошибка формирования пути.
2. ошибка в 104.1

ctapmex 2021-12-01 17:30:00+00:00 - build 104

1. Mantis#0003910: При переходе по шарам плагин кэширует первый сервер и дальше подставляет его
2. Актуализирована справка по диалогу настроек плагина

ctapmex 2021-11-29 15:30:00+00:00 - build 103

1. Добавлена опция "Сканировать сеть", позволяющая отключить сканирование сети для поиска устройств.
2. Актуализирована справка по диалогу настроек плагина

ctapmex 2021-11-28 13:30:00+00:00 - build 102

1. откат 100.2

ctapmex 2021-11-28 13:00:00+00:00 - build 101

1. Восстановлена работа с Favorites. Папки внутри Favorites больше не поддерживаются.

ctapmex 2021-11-27 13:39:06+00:00 - build 100

1. рефакторинг
2. удалено использование RestoreScreen

w17 2017-03-23 21:34:03+03:00 - build 99

1. forum: Автоматическая замена шары на букву диска
   При переходе из списка шар сервера к выделенному элементу по Enter теперь не происходит
   переход к диску если он назначен, по Ctrl-PgDn - старое поведение (если есть диск - переход к нему).

zg 2016-06-28 00:01:31+02:00 - build 98

1. поддержка фаровской истории.

drkns 2016-06-22 21:50:58+02:00 - build 97

1. Некорректно отображались надписи на линейке клавиш.

2. Уточнения английской локализации.

drkns 2015-12-28 15:16:43+02:00 - build 96

1. Теперь настройки ещё и работают.

drkns 2014-05-01 12:39:45+02:00 - build 95

1. Mantis#0002654: TechInfo #35: Network/HiddenSharesAsHidden
   Редизайн настроек.

svs 2014-04-23 14:23:34+04:00 - build

1. Mantis#0002654: TechInfo #35: Network/HiddenSharesAsHidden
   Уточнение хелпа

svs 2014-04-22 18:16:58+04:00 - build 94

1. Mantis#0002654: TechInfo #35: Network/HiddenSharesAsHidden
   группировка опций в настройках плагина

svs 2014-04-21 11:51:29+04:00 - build 93

1. Уточнение build 92

svs 2014-04-21 11:23:21+04:00 - build 92

1. Mantis#0002654: TechInfo #35: Network/HiddenSharesAsHidden

drkns 2012-11-18 22:16:26+02:00 - build 91

1. Mantis#0002199: сортировка по описаниям компьютеров

t-rex 2012-10-06 20:03:33+02:00 - build 90

1. x64 warnings.

zg 2012-09-23 17:51:14+02:00 - build 89

1. Far 3.0 API 2830

zg 2012-09-22 01:40:45+02:00 - build 88

1. Far 3.0 API 2821

zg 2012-09-20 21:51:46+02:00 - build 87

1. Far 3.0 API 2813

zg 2012-09-16 19:00:05+02:00 - build 86

1. Far 3.0 API 2802

zg 2012-09-16 15:11:32+02:00 - build 85

1. Far 3.0 API 2799

zg 2012-03-26 16:08:11+02:00 - build 84

1. Far 3.0 API 2572

zg 2012-03-13 02:04:32+02:00 - build 83

1. Far 3.0 API 2541

drkns 2012-02-04 13:56:24+02:00 - build 82

1. Warnings.

t-rex 2012-01-13 19:43:30+02:00 - build 81

1. Far 3.0 2373

t-rex 2012-01-10 23:32:13+02:00 - build 80

1. Mantis#834: Не работает подключение сетевых дисков когда галка "[ ] Показывать полные пути к общим ресурсам" снята.

2. Плагину было очень плохо в дебаге, хотя и сейчас не всё там хорошо.

drkns 2012-01-02 15:18:20+02:00 - build 79

1. Far 3 API.

svs 2011-08-31 13:40:28+03:00 - build 78

1. Небольшое уточнение кода.

svs 2011-08-31 11:08:29+03:00 - build 77

1. Mantis#0001854: неправильно работает комбинация AltShiftIns
   Т.к. плагин "особенный", то отдадим обработку AltShiftIns плагину.

2. Неправильно работал CtrlAltIns - вместо группы выделенных файлов в буфер помещалось имя "файлового объекта" под курсором.

svs 2011-08-22 16:05:13+03:00 - build 76

1. Far 3 API 2105

drkns 2011-07-06 09:57:43+02:00 - build 75

1. Убираем весь 9x/NT4 мусор.

svs 2011-07-06 10:30:30+03:00 - build 74

1. отвалился "net:" - последствия "копипасте" :-(

2. Форматирование кода
   AStyle --style=ansi --indent=tab=4 --brackets=break --indent-classes --indent-switches --indent-namespaces --indent-preprocessor --break-blocks --delete-empty-lines --unpad-paren --keep-one-line-statements --keep-one-line-blocks "!\!.!"


drkns 2011-06-28 22:07:49+02:00 - build 73

1. Far 3 API.

drkns 2011-06-28 20:42:03+02:00 - build 72

1. Warnings.

drkns 2011-06-28 16:36:47+02:00 - build 71

1. Far 3 API. Наконец-то собирается. Ахтунг - Favorites не работают.

svs 2011-06-28 15:43:12+03:00 - build 70

1. Починка KeyLabels. Всё ещё не собирается.
   Надо что-то делать с этими фаворитами. В качестве бреда:
     1. фавориты недоделаны
     2. пароли в реестре в открытом виде...
   Может в морг?

drkns 2011-05-23 19:18:02+02:00 - build 69

1. Продолжаем, всё ещё не собирается.

t-rex 2011-04-25 22:39:31+02:00 - build 68

1. Продолжаем, всё ещё не собирается.

t-rex 2011-04-25 21:41:19+02:00 - build 67

1. Продолжаем, всё ещё не собирается.

t-rex 2011-04-25 18:39:11+02:00 - build 66

1. Продолжаем, всё ещё не собирается.

2. Исправлена утечка HKEY.

t-rex 2011-04-25 14:41:36+02:00 - build 65

1. Начинаем ломать под Far 3.0. Не собирается.

2. Начинаем юзать DialogBuilder для Dialogs.

3. Начинаем юзать PluginSettings.

4. Начинаем убирать код 1.75.

t-rex 2011-02-06 00:26:48+02:00

1. lng,hlf -> utf8, reg -> Far2

drkns 2010-10-15 13:23:23+02:00 - build 64

1. Из W-версии убрана опция "Добавить к меню дисков::Клавиша доступа"

t-rex 2010-05-04 22:06:24+02:00 - build 63

1. gcc warnings

t-rex 2010-05-04 21:47:25+02:00 - build 62

1. Странные глюки из за бага в 61.

t-rex 2010-05-01 00:50:00+02:00 - build 61

1. Mantis#1342: Падение при использовании ключа /u со слишком длинным параметром.

t-rex 2010-01-10 23:23:19+02:00 - build 60

1. NM -> MAX_PATH

drkns 2010-01-09 14:17:27+02:00 - build 59

1. Far 2.0.1327.

drkns 2010-01-09 12:59:15+02:00 - build 58

1. Far 2.0.1325.

zg 2010-01-07 19:17:07+02:00 - build 57

1. far 2.0.1317.

drkns 2010-01-06 12:10:59+02:00 - build 56

1. Убран OPIF_FINDFOLDERS за ненадобностью.

t-rex 2009-10-26 17:00:00+02:00 - build 55

1. Переделка GetMinFarVersion и убрал старые проверки версии.

drkns 2009-10-24 20:23:01+02:00 - build 54

1. Far 2.0.1180.

t-rex 2009-10-20 20:26:38+02:00

1. Mantis#1125: Несоответствие регистра в названиях файлов.

zg 2009-09-25 09:39:05+02:00 - build 53

1. gcc сборка.

svs 2009-09-10 17:11:40+03:00 - build 52

1. Добавлена опция показа принтерных ресурсов (застолбили место :-)
   По умолчанию выключена.
   Для принтеров пока выставляется файловый атрибут FILE_ATTRIBUTE_VIRTUAL (чтобы можно было отработать в макросах, раскраске, etc.)
   Выгоды пока NULL (если не воспользоваться UserMenu и каким нибудь VB/JS/etc-скриптом).

t-rex 2009-03-29 19:11:54+02:00

1. From DiRTy GaRRy: патч от варнингов на разное выравнивание структур при компиляции плагина на VS9 с ключом /GL.

t-rex 2009-03-28 20:08:05+02:00 - build 51

1. Из за патча в 50 плагин не зоходил в замапленые диски.

t-rex 2009-03-28 00:45:05+02:00 - build 50

1. From mda: Mantis#700: Очень долгий вход в содержимое сетевых папок

t-rex 2009-03-07 18:16:18+02:00 - build 49

1. Mantis#696: Некоректная проверка на валидность MsgID в x64.

zg 2009-02-24 01:21:28+02:00 - build 48

1. Адаптация к новому PanelAPI в 2.0.789.

svs 2009-02-19 13:27:04+03:00 - build 47

1. Mantis#0000747: Плагины align, proclist и network: функция SetRegKey неверно вычисляет размер буфера в Unicode версии.
   (from alexeypa)

drkns 2009-01-27 16:09:51+02:00 - build 46

1. Адаптация к новому PanelAPI в 2.0.753.

drkns 2008-12-06 13:42:13+02:00 - build 45

1. Mantis#0000650: FAR не дает создать символическую ссылку на корневую шару

drkns 2008-10-30 18:51:31+02:00

1. Mantis#0000627: Плагин через файл проекта собирается не во всех конфигурациях

drkns 2008-09-12 12:10:17+02:00 - build 44

1. Если диалог ввода логина/пароля закрыть по Esс, он появлялся повторно.

drkns 2008-09-07 02:15:12+02:00 - build 43

1. Убрано ненужное FreePanelInfo.

drkns 2008-09-05 10:15:19+02:00 - build 42

1. Адаптация к новому PanelAPI в 1.8.

t-rex 2008-06-08 19:06:32+02:00 - build 41

1. gcc 4.3.0 warnings removed.

yjh 2007-11-17 21:04:05+03:00 - build 40

1. Был не скорректирован GetMinFARVersion для 1.80

t-rex 2007-11-17 13:13:48+02:00 - build 39

1. Работа с новым DialogAPI в 1.8.

yjh 2007-11-13 05:49:18+03:00

1. В makefile_vc добавлено автоматическое включение отладочныго вывода
   при сборке DEBUG'а (отключается опцией NO_LOG)

2. Пара правок для выводка отладки в 1.80 и, заодно, в A-версии последний
   sprintf, заменён на snprintf :)


yjh 2007-11-13 04:25:25+03:00 - build 38

1. Поддержка 1.80 (unicode)

2. Слегка почищен текст


t-rex 2007-02-07 17:55:49+02:00 - 37

1. Ужасные баги с историей в x64.


t-rex 2007-02-06 01:02:21+02:00

1. Общий мэйк файл для x64 и x86 для VC.


t-rex 2006-12-04 07:17:20+02:00 - build 36

1. Сборка для x64 + мэйк для VC.

2. Начинаем писать changelog, я сделал себе макрос
   "t - r e x Space $Date \"%d.%m0.%Y %H:%M:%S %Z\" Enter"
   чтоб выводить заголовок changelog-а.
   Последующие логи надо писать сверху - т.е. файл будет идти хронологически снизу вверх.
   В changelog прошу писать в Win кодировке.
